Package com.destroystokyo.paper.entity.ai

# Enum Class GoalType

java.lang.Object
java.lang.Enum<GoalType>
com.destroystokyo.paper.entity.ai.GoalType

All Implemented Interfaces:
  `Serializable`, `Comparable<GoalType>`, `Constable`

public enum GoalType extends Enum<GoalType>
Represents the subtype of a goal. Used by minecraft to disable certain types of goals if needed.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JUMP`
`LOOK`
`MOVE`
`TARGET`
`UNKNOWN_BEHAVIOR`
Used to map vanilla goals, that are a behavior goal but don't have a type set...

## Method Summary

Modifier and Type
Method
Description
`static GoalType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GoalType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MOVE

public static final GoalType MOVE

### LOOK

public static final GoalType LOOK

### JUMP

public static final GoalType JUMP

### TARGET

public static final GoalType TARGET

### UNKNOWN_BEHAVIOR

public static final GoalType UNKNOWN_BEHAVIOR
Used to map vanilla goals, that are a behavior goal but don't have a type set...

## Method Details

### values

public static GoalType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GoalType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null